package com.mdd.admin.validate.setting;

import com.mdd.common.validator.annotation.IntegerContains;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;

@ApiModel("字典类型创建参数")
public class DictTypeCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty(
      value = "名称",
      required = true
   )
   private @NotNull(
   message = "dictName参数缺失"
) @Length(
   max = 200,
   message = "名称不能超出200个字符"
) String dictName;
   @ApiModelProperty(
      value = "类型",
      required = true
   )
   private @NotNull(
   message = "dictType参数缺失"
) @Length(
   max = 200,
   message = "类型不能超出200个字符"
) String dictType;
   @ApiModelProperty("备注")
   private @Length(
   max = 200,
   message = "备注不能超出200个字符"
) String dictRemark;
   @IntegerContains(
      values = {0, 1},
      message = "dictStatus参数不在合法值内"
   )
   @ApiModelProperty(
      value = "状态",
      required = true
   )
   private @NotNull(
   message = "dictStatus参数缺失"
) Integer dictStatus;

   public @NotNull(
   message = "dictName参数缺失"
) String getDictName() {
      return this.dictName;
   }

   public @NotNull(
   message = "dictType参数缺失"
) String getDictType() {
      return this.dictType;
   }

   public String getDictRemark() {
      return this.dictRemark;
   }

   public @NotNull(
   message = "dictStatus参数缺失"
) Integer getDictStatus() {
      return this.dictStatus;
   }

   public void setDictName(@NotNull(
   message = "dictName参数缺失"
) String dictName) {
      this.dictName = dictName;
   }

   public void setDictType(@NotNull(
   message = "dictType参数缺失"
) String dictType) {
      this.dictType = dictType;
   }

   public void setDictRemark(String dictRemark) {
      this.dictRemark = dictRemark;
   }

   public void setDictStatus(@NotNull(
   message = "dictStatus参数缺失"
) Integer dictStatus) {
      this.dictStatus = dictStatus;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DictTypeCreateValidate)) {
         return false;
      } else {
         DictTypeCreateValidate other = (DictTypeCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$dictStatus = this.getDictStatus();
               Object other$dictStatus = other.getDictStatus();
               if (this$dictStatus == null) {
                  if (other$dictStatus == null) {
                     break label59;
                  }
               } else if (this$dictStatus.equals(other$dictStatus)) {
                  break label59;
               }

               return false;
            }

            Object this$dictName = this.getDictName();
            Object other$dictName = other.getDictName();
            if (this$dictName == null) {
               if (other$dictName != null) {
                  return false;
               }
            } else if (!this$dictName.equals(other$dictName)) {
               return false;
            }

            Object this$dictType = this.getDictType();
            Object other$dictType = other.getDictType();
            if (this$dictType == null) {
               if (other$dictType != null) {
                  return false;
               }
            } else if (!this$dictType.equals(other$dictType)) {
               return false;
            }

            Object this$dictRemark = this.getDictRemark();
            Object other$dictRemark = other.getDictRemark();
            if (this$dictRemark == null) {
               if (other$dictRemark != null) {
                  return false;
               }
            } else if (!this$dictRemark.equals(other$dictRemark)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DictTypeCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $dictStatus = this.getDictStatus();
      result = result * 59 + ($dictStatus == null ? 43 : $dictStatus.hashCode());
      Object $dictName = this.getDictName();
      result = result * 59 + ($dictName == null ? 43 : $dictName.hashCode());
      Object $dictType = this.getDictType();
      result = result * 59 + ($dictType == null ? 43 : $dictType.hashCode());
      Object $dictRemark = this.getDictRemark();
      result = result * 59 + ($dictRemark == null ? 43 : $dictRemark.hashCode());
      return result;
   }

   public String toString() {
      return "DictTypeCreateValidate(dictName=" + this.getDictName() + ", dictType=" + this.getDictType() + ", dictRemark=" + this.getDictRemark() + ", dictStatus=" + this.getDictStatus() + ")";
   }
}
